<template>
  <div class="container">
    <h2 class="text-center">แสดงข้อมูลจาก API laravel</h2>
    <table class="table table-bordered">
      <tr>
        <td>id</td>
        <td>name</td>
        <td>city</td>
        <td>edit</td>
        <td>delete</td>
      </tr>
      <tr v-for="(user,index) in users">
        <td>{{user.id}}</td>
        <td>{{user.name}}</td>
        <td>{{user.city}}</td>
        <td><a :href="'/users/'+user.id+'/edit'" class="btn btn-primary">edit</a></td>
        <td><a href="javascript:;" class="btn btn-danger" v-on:click="deleteUser(user.id, index)" >Delete</a></td>
      </tr>
    </table>
    <a href="/users/create" class="btn btn-primary">เพิ่มข้อมูล</a>
  </div>
</template>

<script>
  export default {
    mounted(){
      this.getUserData();
    },
    methods:{
      getUserData(){
        axios.get('api/users').then(response=>{
          this.users=response.data;
        });
      },
      deleteUser(id, index){
        if(confirm("Press a button!")){
          axios.delete('api/users/'+id).then(response=>{
            this.users.splice(index,1);
          });
        }
      }
    },
    data(){
      return {
        users:[],
        user:{
          id:0,
          name:''
        }
      }
    }
  }
</script>
